﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx (1 yr) Input Res. IEEE /9500
INSTRUMENT:            Sub HP 545xx (1 yr) Ext Res. IEEE /9500
INSTRUMENT:            Sub HP 545xx (1 yr) DCV IEEE /9500
INSTRUMENT:            Sub HP 545xx (1 yr) DC Offset IEEE /9500
INSTRUMENT:            Sub HP 545xx (1 yr) Analog BW IEEE /9500
INSTRUMENT:            Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
DATE:                  2008-11-10 09:11:58
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       535
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
# Compatibility:      MET/CAL 7.20 SP1 or later
#
# Subprocedures:      Sub HP 545xx Channel Select IEEE
#                     Sub HP 545xx Record Reading IEEE
#                     Sub HP 545xx Trigger Utility IEEE
#                     Sub HP 545xx Wait for Operation Complete (OPC) IEEE
#
# Required Files:     None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub HP 545xx Channel Select IEEE

  1.002  JMPL         INPUT_RESISTANCE             PSUBI("Input Res")
  1.003  JMPL         EXTERNAL_INPUT_RESISTANCE    PSUBI("Ext Res.")
  1.004  JMPL         DC_VOLTAGE_MEASUREMENT       PSUBI("DCV")
  1.005  JMPL         DC_OFFSET                    PSUBI("DC Offset")
  1.006  JMPL         ANALOG_BANDWIDTH             PSUBI("Analog BW")
  1.007  JMPL         TRIGGER_SENSITIVITY          PSUBI("Trigger Sens")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# =================== INPUT RESISTANCE =====================================

  2.001  LABEL        INPUT_RESISTANCE

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  HEAD         {CHANNEL INPUT RESISTANCE}
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]

  2.008  HEAD         CH [V @Chan] INPUT RESISTANCE
  2.009  HEAD         -2 1 MOhm
  2.010  TARGET       -p

  2.011  IEEE         SYST:DSP "Ch [V @Chan] Input Resistance Test"

  2.012  IF           NOT(@MulSource)

  2.013  IF           ZCMP(@MeasMode, "TAR")
  2.014  DISP         The next operator intervention occurs
  2.014  DISP         in approximately 5 minutes...
  2.015  ELSEIF       ZCMP(@MeasMode, "MU")
  2.016  DISP         The next operator intervention occurs
  2.016  DISP         in approximately 20 minutes...
  2.017  ENDIF

  2.018  ELSE         # Using multi-head.

  2.019  IF           (@Chan == 1) && (@4ChUUT == 0)
  2.020  IF           ZCMP(@MeasMode, "TAR")
  2.021  DISP         The next operator intervention occurs
  2.021  DISP         in approximately 10 minutes...
  2.022  ELSEIF       ZCMP(@MeasMode, "MU")
  2.023  DISP         The next operator intervention occurs
  2.023  DISP         in approximately 40 minutes...
  2.024  ENDIF

  2.025  ELSEIF       (@Chan == 1) && (@4ChUUT == 1)
  2.026  IF           ZCMP(@MeasMode, "TAR")
  2.027  DISP         The next operator intervention occurs
  2.027  DISP         in approximately 20 minutes...
  2.028  ELSEIF       ZCMP(@MeasMode, "MU")
  2.029  DISP         The next operator intervention occurs
  2.029  DISP         in approximately 90 minutes...
  2.030  ENDIF

  2.031  ENDIF

  2.032  ENDIF

  2.033  IEEE         DISPLAY:GRATICULE OFF
  2.034  IEEE         DISPLAY:CONNECT OFF
  2.035  TSET         UUT_RES = 1E+3
  2.036  IEEE         CHANNEL[V @Chan]:COUPLING DC
  2.037  TSET         NTHROW = 1
  2.038  TARGET       -m
  2.039  9500         1.000MZ        1%                              ZM    2W

# Impedance Measurement (50 Ohm)
  3.001  HEAD         -2 50 Ohms
  3.002  TARGET       -p
  3.003  IEEE         CHANNEL[V @Chan]:COUPLING DCFIFTY
  3.004  TSET         NTHROW = 1
  3.005  TARGET       -m
  3.006  9500         50.0Z          1%                              ZM    2W
  4.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF

  4.002  JMPL         END

  4.003  EVAL   Increment step number

# =================== EXTERNAL INPUT RESISTANCE ===========================

  5.001  LABEL        EXTERNAL_INPUT_RESISTANCE

  5.002  RSLT         =
  5.003  HEAD         {EXTERNAL TRIGGER INPUT RESISTANCE}
  5.004  HEAD         -2 1 MOhm
  5.005  TARGET       -p
  5.006  IEEE         SYST:DSP "Ext Trig Resistance Test"
  5.007  IEEE         DISPLAY:GRATICULE OFF
  5.008  IEEE         DISPLAY:CONNECT OFF

  5.009  TSET         UUT_RES = 1E+3; NTHROW = 1
  5.010  IEEE         TRIGGER:SOURCE EXTERNAL
  5.011  IEEE         EXTERNAL:COUPLING DC
  5.012  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  5.013  JMPL         ERROR                      @StatusBit <= 0
  5.014  TARGET       -m
  5.015  9500         1.000MZ        1%                              ZM    2W

  6.001  HEAD         -2 50 Ohms
  6.002  TSET         UUT_RES = 10E-3; NTHROW = 1
  6.003  TARGET       -p
  6.004  IEEE         EXTERNAL:COUPLING DCFIFTY
  6.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  6.006  JMPL         ERROR                      @StatusBit <= 0
  6.007  TARGET       -m
  6.008  9500         50.00Z         1%                              ZM    2W

  7.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF

  7.002  JMPL         END

  7.003  EVAL   Increment step number

# =================== VOLTAGE MEASUREMENT ACCURACY =========================

  8.001  LABEL        DC_VOLTAGE_MEASUREMENT

  8.002  IF           @Chan == 1
  8.003  RSLT         =
  8.004  HEAD         {VOLTAGE MEASUREMENT ACCURACY}
  8.005  ENDIF

  8.006  RSLT         =
  8.007  RSLT         =Channel [V @Chan]

  8.008  HEAD         CH [V @Chan] VOLTAGE MEASUREMENT ACCURACY
  8.009  HEAD         -2 5 V/div
  8.010  TARGET       -p

  8.011  IEEE         SYST:DSP "Ch [V @Chan] Voltage Accuracy Test"
  8.012  IEEE         DISPLAY:GRATICULE GRID
  8.013  IEEE         DISPLAY:CONNECT OFF
  8.014  IEEE         MEASURE:SOURCE CHANNEL[V @Chan]
  8.015  IEEE         TRIGGER:SOURCE CHANNEL[V @Chan]
  8.016  IEEE         CHANNEL[V @Chan]:COUPLING DC
  8.017  IEEE         TIMEBASE:SAMPLE REPETITIVE
  8.018  IEEE         ACQUIRE:TYPE AVERAGE
  8.019  IEEE         ACQUIRE:COUNT 32
  8.020  IEEE         MEASURE:MODE STANDARD
  8.021  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  8.022  JMPL         ERROR                      @StatusBit <= 0
# Set the command for the measurement in Record Reading
  8.023  MEM2         =MEASURE:VAVERAGE?

  8.024  IEEE         CHANNEL[V @Chan]:RANGE 40
  8.025  IEEE         CHANNEL[V @Chan]:OFFSET 15.0
  8.026  9500         0.000V                                            S
# Set resolution for use in sub.
  8.027  MATH         @MeasRes = 0.01
# Take the zero reading first.
  8.028  CALL         Sub HP 545xx Record Reading IEEE
  8.029  MATH         MeasVal = MEM
# Apply full-scale (6 div.) signal.
  8.030  9500         30.000V                                           S
  8.031  TARGET       -m
  8.032  MATH         @MeasRes = 0.01
  8.033  CALL         Sub HP 545xx Record Reading IEEE
# Subtract zero reading from full-scale reading and compute Vpp.
  8.034  MATH         MEM = MEM - MeasVal
  8.035  MEMCX        30.000V        0.660U        5V/div

  9.001  9500         15.000V                                           S
  9.002  TARGET       -m
  9.003  CALL         Sub HP 545xx Record Reading IEEE
  9.004  MATH         MEM = MEM - MeasVal
  9.005  MEMCX        V              0.660U        5V/div

 10.001  9500         5.000V                                            S
 10.002  TARGET       -m
 10.003  CALL         Sub HP 545xx Record Reading IEEE
 10.004  MATH         MEM = MEM - MeasVal
 10.005  MEMCX        V              0.660U        5V/div

 11.001  HEAD         -2 200 mV/div
 11.002  TARGET       -p
 11.003  IEEE         CHANNEL[V @Chan]:RANGE 1.6
 11.004  IEEE         CHANNEL[V @Chan]:OFFSET 0.600
 11.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 11.006  JMPL         ERROR                      @StatusBit <= 0
 11.007  9500         0.0000V                                           S
 11.008  MATH         @MeasRes = 0.0001
 11.009  CALL         Sub HP 545xx Record Reading IEEE
 11.010  MATH         MeasVal = MEM

 11.011  9500         1.2000V                                           S
 11.012  TARGET       -m
 11.013  CALL         Sub HP 545xx Record Reading IEEE
 11.014  MATH         MEM = MEM - MeasVal
 11.015  MEMCX        V              0.0264U       200mV/div

 12.001  9500         0.6000V                                           S
 12.002  TARGET       -m
 12.003  CALL         Sub HP 545xx Record Reading IEEE
 12.004  MATH         MEM = MEM - MeasVal
 12.005  MEMCX        V              0.0264U       200mV/div

 13.001  9500         0.2000V                                           S
 13.002  TARGET       -m
 13.003  CALL         Sub HP 545xx Record Reading IEEE
 13.004  MATH         MEM = MEM - MeasVal
 13.005  MEMCX        V              0.0264U       200mV/div

 14.001  HEAD         -2 10 mV/div
 14.002  TARGET       -p
 14.003  IEEE         CHANNEL[V @Chan]:RANGE 0.080
 14.004  IEEE         CHANNEL[V @Chan]:OFFSET 0.030
 14.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 14.006  JMPL         ERROR                      @StatusBit <= 0
 14.007  9500         0.000mV                                           S
 14.008  MATH         @MeasRes = 0.00001
 14.009  CALL         Sub HP 545xx Record Reading IEEE
 14.010  MATH         MeasVal = MEM

 14.011  9500         60.000mV                                          S
 14.012  TARGET       -m
 14.013  CALL         Sub HP 545xx Record Reading IEEE
 14.014  MATH         MEM = (MEM - MeasVal) / 1E-3
 14.015  MEMCX        mV             1.32U         10mV/div

 15.001  9500         30.000mV                                          S
 15.002  TARGET       -m
 15.003  CALL         Sub HP 545xx Record Reading IEEE
 15.004  MATH         MEM = (MEM - MeasVal) / 1E-3
 15.005  MEMCX        mV             1.32U         10mV/div

 16.001  9500         10.000mV                                          S
 16.002  TARGET       -m
 16.003  CALL         Sub HP 545xx Record Reading IEEE
 16.004  MATH         MEM = (MEM - MeasVal) / 1E-3
 16.005  MEMCX        mV             1.32U         10mV/div

 17.001  HEAD         -2 7 mV/div
 17.002  TARGET       -p
 17.003  IEEE         CHANNEL[V @Chan]:RANGE 0.056
 17.004  IEEE         CHANNEL[V @Chan]:OFFSET 0.021
 17.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 17.006  JMPL         ERROR                      @StatusBit <= 0
 17.007  9500         0.000mV                                           S
 17.008  CALL         Sub HP 545xx Record Reading IEEE
 17.009  MATH         MeasVal = MEM

 17.010  9500         42.000mV                                          S
 17.011  TARGET       -m
 17.012  CALL         Sub HP 545xx Record Reading IEEE
 17.013  MATH         MEM = (MEM - MeasVal) / 1E-3
 17.014  MEMCX        mV             0.924U        7mV/div

 18.001  9500         21.000mV                                          S
 18.002  TARGET       -m
 18.003  CALL         Sub HP 545xx Record Reading IEEE
 18.004  MATH         MEM = (MEM - MeasVal) / 1E-3
 18.005  MEMCX        mV             0.924U        7mV/div

 19.001  9500         7.000mV                                           S
 19.002  TARGET       -m
 19.003  CALL         Sub HP 545xx Record Reading IEEE
 19.004  MATH         MEM = (MEM - MeasVal) / 1E-3
 19.005  MEMCX        mV             0.924U        7mV/div

 20.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF

 20.002  JMPL         END

 20.003  EVAL   Increment step number

# =================== DC OFFSET ============================================

 21.001  LABEL        DC_OFFSET

 21.002  IF           @Chan == 1
 21.003  RSLT         =
 21.004  HEAD         {DC OFFSET ACCURACY}
 21.005  ENDIF

 21.006  RSLT         =
 21.007  RSLT         =Channel [V @Chan]
 21.008  HEAD         CH [V @Chan] OFFSET ACCURACY
 21.009  HEAD         -2 200 mV/div
 21.010  TARGET       -p

 21.011  IEEE         SYST:DSP "Ch [V @Chan] Offset Accuracy Test"
 21.012  IEEE         DISPLAY:GRATICULE GRID
 21.013  IEEE         DISPLAY:CONNECT OFF
 21.014  IEEE         MEASURE:SOURCE CHANNEL[V @Chan]
 21.015  IEEE         TIMEBASE:SAMPLE REPETITIVE
 21.016  IEEE         ACQUIRE:TYPE AVERAGE
 21.017  IEEE         ACQUIRE:COUNT 32
 21.018  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 21.019  JMPL         ERROR                      @StatusBit <= 0
# Set up measurement mode
 21.020  IEEE         MEASURE:MODE STANDARD
 21.021  MEM2         =MEASURE:VAVERAGE?

 21.022  IEEE         CHANNEL[V @Chan]:RANGE 1.6
 21.023  IEEE         CHANNEL[V @Chan]:OFFSET 2.0
 21.024  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 21.025  JMPL         ERROR                      @StatusBit <= 0
 21.026  9500         2.0000V                                           S
 21.027  TARGET       -m
 21.028  MATH         @MeasRes = 0.001
 21.029  CALL         Sub HP 545xx Record Reading IEEE
 21.030  MEMCX        V              0.057U        200mV/div

 22.001  HEAD         -2 100 mV/div
 22.002  TARGET       -p
 22.003  IEEE         CHANNEL[V @Chan]:RANGE 0.8
 22.004  IEEE         CHANNEL[V @Chan]:OFFSET 1.0
 22.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 22.006  JMPL         ERROR                      @StatusBit <= 0
 22.007  9500         1.0000V                                           S
 22.008  TARGET       -m
 22.009  MATH         @MeasRes = 0.0001
 22.010  CALL         Sub HP 545xx Record Reading IEEE
 22.011  MEMCX        V              0.0285U       100mV/div

 23.001  HEAD         -2 50 mV/div
 23.002  TARGET       -p
 23.003  IEEE         CHANNEL[V @Chan]:RANGE 0.4
 23.004  IEEE         CHANNEL[V @Chan]:OFFSET 0.5
 23.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 23.006  JMPL         ERROR                      @StatusBit <= 0
 23.007  9500         0.50000V                                          S
 23.008  TARGET       -m
 23.009  MATH         @MeasRes = 0.0001
 23.010  CALL         Sub HP 545xx Record Reading IEEE
 23.011  MEMCX        V              0.01425U      50mV/div

 24.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF

 24.002  JMPL         END

 24.003  EVAL   Increment step number

# =================== ANALOG BANDWIDTH =====================================

 25.001  LABEL        ANALOG_BANDWIDTH

 25.002  IF           @Chan == 1
 25.003  RSLT         =
 25.004  HEAD         {ANALOG BANDWIDTH ACCURACY}
 25.005  ENDIF

 25.006  RSLT         =
 25.007  RSLT         =Channel [V @Chan]
 25.008  HEAD         CH [V @Chan] ANALOG BANDWIDTH ACCURACY
 25.009  HEAD         -2 Repetitive
 25.010  TARGET       -p

 25.011  IEEE         SYST:DSP "Ch [V @Chan] Vert. Bandwidth Test"
 25.012  IEEE         DISPLAY:GRATICULE GRID
 25.013  IEEE         DISPLAY:CONNECT OFF
 25.014  IEEE         CHANNEL[V @Chan]:RANGE 0.8
 25.015  IEEE         CHANNEL[V @Chan]:COUPLING DCFIFTY
 25.016  IEEE         TRIGGER:SOURCE CHANNEL[V @Chan]
 25.017  IEEE         TIMEBASE:RANGE 2E-6
 25.018  IEEE         TIMEBASE:SAMPLE REPETITIVE
 25.019  IEEE         ACQUIRE:TYPE AVERAGE
 25.020  IEEE         ACQUIRE:COUNT 32
 25.021  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 25.022  JMPL         ERROR                      @StatusBit <= 0
# Set up measurement mode
 25.023  IEEE         MEASURE:SOURCE CHANNEL[V @Chan]
 25.024  IEEE         MEASURE:MODE STANDARD
# Set the command for the measurement in Status Check
 25.025  MATH         MEM2 = "MEASURE:VPP?"

 25.026  TARGET       -m
 25.027  IEEE         TIMEBASE:RANGE 2E-6
 25.028  IEEE         CHANNEL[V @Chan]:RANGE 0.8
 25.029  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 25.030  JMPL         ERROR                      @StatusBit <= 0
 25.031  9500         0.600Vpp                     1MH            LS    S  L
# The @MeasRes variable sets the resolution for the Status Check Program
# to use when calculating stability
 25.032  MATH         @MeasRes = 0.001
# Make initial amplitude measurement at the reference frequency.
 25.033  CALL         Sub HP 545xx Record Reading IEEE
# Compute calibrator output required to obtain exactly 6 division display.
 25.034  MATH         MEM = (2 * 0.6) - MEM
# Program calibrator to computed output at the reference frequency.
 25.035  9500         Vpp                          1MH            LS    S  L
# Measure amplitude at reference frequency.
 25.036  CALL         Sub HP 545xx Record Reading IEEE
# Store measured amplitude value at reference frequency.
 25.037  MATH         AmpRef = MEM
# Change UUT timebase setting.
 25.038  IEEE         TIMEBASE:RANGE 20E-9
 25.039  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 25.040  JMPL         ERROR                      @StatusBit <= 0
# Copy 9500 previously computed voltage from MEM1 into MEM for use in FSC.
 25.041  MATH         MEM = MEM1
 25.042  9500         Vpp                          500MH          LS    S  L
# Measure amplitude at upper bandwidth frequency.
 25.043  CALL         Sub HP 545xx Record Reading IEEE
# Compute roll-off in dB.
 25.044  MATH         MEM = 20 * LOG(MEM / AmpRef)
 25.045  ACC          0.00dB         0.01U                                 +DV
 25.046  MEMCX        dB             3.00U         500MH

 26.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF

 26.002  JMPL         END

 26.003  EVAL   Increment step number

# =================== TRIGGER SENSITIVITY ==================================

 27.001  LABEL        TRIGGER_SENSITIVITY

 27.002  IF           @Chan == 1
 27.003  RSLT         =
 27.004  HEAD         {TRIGGER SENSITIVITY TEST}
 27.005  ENDIF

 27.006  RSLT         =
 27.007  RSLT         =Channel [V @Chan]
 27.008  HEAD         CH [V @Chan] TRIGGER SENSITIVITY TEST
 27.009  HEAD         -2 @ 100 MHz

 27.010  TARGET       -p
 27.011  IEEE         SYST:DSP "Ch [V @Chan] Trig Sensitivity Test"
 27.012  IEEE         DISPLAY:GRATICULE GRID
 27.013  IEEE         DISPLAY:CONNECT OFF

 27.014  TARGET       -m
 27.015  IEEE         TIMEBASE:RANGE 100E-9
 27.016  IEEE         TIMEBASE:SAMPLE REPETITIVE
# Set UUT for 5 div. of deflection.
 27.017  IEEE         CHANNEL[V @Chan]:RANGE 0.16;OFFS 0
 27.018  IEEE         CHANNEL[V @Chan]:COUPLING DCFIFTY
 27.019  IEEE         ACQUIRE:TYPE AVERAGE
 27.020  IEEE         ACQUIRE:COUNT 16
 27.021  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 27.022  JMPL         ERROR                      @StatusBit <= 0
 27.023  IEEE         TRIGGER:SOURCE CHANNEL[V @Chan]
 27.024  IEEE         TRIGGER:LEVEL 0.000
# Set up measurement mode
 27.025  IEEE         MEASURE:SOURCE CHANNEL[V @Chan]
 27.026  IEEE         MEASURE:MODE STANDARD
 27.027  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 27.028  JMPL         ERROR                      @StatusBit <= 0
# Apply nominal trigger voltage to UUT.
 27.029  9500         0.100Vpp                     100MH          LS    S  L
# Measure actual trigger voltage applied using UUT cursors.
 27.030  IEEE         ERAS PMEM0[D1000]
 27.031  IEEE         MEASURE:VPP?[I]
# Compute value needed from 9500 to output nominal voltage to UUT.
 27.032  MATH         MEM = (2 * 0.1) - MEM
# Adjust 9500 output for nominal voltage applied using computed value.
 27.033  9500         Vpp                          100MH          LS    S  L
# Change UUT range to achieve 0.5 divisions of vertical deflection.
 27.034  IEEE         CHANNEL[V @Chan]:RANG 1.6;OFFS 0
 27.035  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 27.036  JMPL         ERROR                      @StatusBit <= 0
 27.037  CALL         Sub HP 545xx Trigger Utility IEEE
 27.038  EVAL   -e MEM > 0 : 200 mV/div, 0.5 div @ 100 MHz

 28.001  HEAD         -2 @ 500 MHz
 28.002  TARGET       -m
 28.003  IEEE         TIMEBASE:RANGE 10E-9
 28.004  IEEE         CHANNEL[V @Chan]:RANG 0.4;OFFS 0
 28.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 28.006  JMPL         ERROR                      @StatusBit <= 0
 28.007  9500         0.2Vpp                       500MH          LS    S  L
 28.008  IEEE         ERAS PMEM0[D1000]
 28.009  IEEE         MEASURE:VPP?[I]
 28.010  MATH         MEM = (2 * 0.2) - MEM
 28.011  9500         Vpp                          500MH          LS    S  L
 28.012  IEEE         CHAN[V @Chan]:RANG 1.6;OFFS 0
 28.013  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 28.014  JMPL         ERROR                      @StatusBit <= 0
 28.015  CALL         Sub HP 545xx Trigger Utility IEEE
 28.016  EVAL   -e MEM > 0 : 200 mV/div, 1.0 div @ 500 MHz

 29.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF

 29.002  JMPL         END

 29.003  LABEL        ERROR
 29.004  HEAD         ERROR
 29.005  DISP         [V @ErrMsg]

 29.006  LABEL        END
 29.007  HEAD
 29.008  HEAD         -2
 29.009  9500         *                                                 S
 29.010  IEEE         *RST
 29.011  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 29.012  JMPL         ERROR                      @StatusBit <= 0
 29.013  END
