﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx Wait for Operation Complete (OPC) IEEE
DATE:                  2008-11-10 08:48:30
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       111
=============================================================================
#
#  Procedure Author:  ZY, VY, ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
#  Compatibility:     MET/CAL 7.20 SP1 or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Save MEM
  1.001  MATH         RegMem = MEM

# Make a copy of the timeout.
  1.002  MATH         Counter = 60000
  1.003  MATH         @StatusBit = -1
#
# *SRE  0  Inhibit all SRQ's (This was added because Portocal II enabled
#          UUT SRQ's to enable communication using Wavetest.
#
#      32  Command Error
#      16  Execution Error
#       8  Device Dependent Error
#       4  Query Error
#       1  Operation Complete (OPC)
#      --
# *ESE 61  Set the Event Status Enable mask (ESE) so the Event Status Bit
#          (ESB) is set in the status byte for the listed conditions.
#
# *OPC     Set Operation Complete bit (OPC) in Event Status Register (ESR)
#          to 1 when all pending operations have completed.
#
  1.004  IEEE         *SRE 0;*ESE 61;*OPC

  1.005  DO
# Serial poll the instrument until the ESB is set in the status byte.
# ESB is bit 5, decimal 32.
  1.006  IEEE         [SPL 32]
  1.007  IEEE         [D100]
  1.008  MATH         Counter = Counter - 100

  1.009  IF           MEM > 0
  1.010  IEEE         *ESR?[I]
# If Power On bit 7 is set.  This is not an error.
# If User Request bit 6 is set.  This is not an error.
  1.011  MATH         Cons = BIT(5, MEM) || BIT(4, MEM) || BIT(3, MEM)
  1.012  MATH         Cons = Cons || BIT(2, MEM) || BIT(1, MEM) || BIT(0, MEM)
  1.013  MATH         LoopAgain = NOT(Cons)
  1.014  ELSE
  1.015  MATH         LoopAgain = 1
  1.016  ENDIF

  1.017  UNTIL        NOT(LoopAgain) || Counter <= 0

  1.018  IF           Counter <= 0
  1.019  MATH         @ErrMsg = "Timeout waiting for Operation Complete(OPC)."

  1.020  ELSE

  1.021  IF           BIT(5, MEM)
  1.022  MATH         @ErrMsg = "Command Error"
  1.023  ELSEIF       BIT(4, MEM)
  1.024  MATH         @ErrMsg = "Execution Error"
  1.025  ELSEIF       BIT(3, MEM)
  1.026  MATH         @ErrMsg = "Device Dependent Error"
  1.027  ELSEIF       BIT(2, MEM)
  1.028  MATH         @ErrMsg = "Query Error"
  1.029  ELSEIF       BIT(1, MEM)
  1.030  MATH         @ErrMsg = "Request Control"
  1.031  ELSEIF       BIT(0, MEM)
  1.032  MATH         @ErrMsg = "No error"
  1.033  ENDIF

  1.034  ENDIF

  1.035  IF           ZCMPI(@ErrMsg, "No error")
  1.036  MATH         @StatusBit = 1

  1.037  ELSE
  1.038  OPBR         [V @ErrMsg]
  1.038  OPBR
  1.038  OPBR         -z Do you wish to continue?

  1.039  IF           MEM1
  1.040  MATH         @StatusBit = 1
  1.041  ELSE
  1.042  MATH         @StatusBit = 0
  1.043  ENDIF

  1.044  ENDIF

  1.045  MATH         MEM = RegMem
  1.046  END

